XtAppGetSelectionTimeout(3)

NAME
XtAppGetSelectionTimeout, XtAppSetSelectionTimeout - set and obtain selection timeout values

SYNTAX
#include <X11/Intrinsic.h>

unsigned long XtAppGetSelectionTimeout(XtAppContext app_context);

void XtAppSetSelectionTimeout(XtAppContext app_context, unsigned long timeout);

ARGUMENTS

app_context
    Specifies the application context.

timeout
    Specifies the selection timeout in milliseconds.

DESCRIPTION
The XtAppGetSelectionTimeout function returns the current selection timeout value, in milliseconds. The selection timeout is the time within which the two communicating applications must respond to one another. The initial timeout value is set by the selectionTimeout application resource, or, if selectionTimeout is not specified, it defaults to five seconds.

The XtAppSetSelectionTimeout function sets the Intrinsics's selection timeout mechanism. Note that most applications should not set the selection timeout.

SEE ALSO
XtOwnSelection(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface